IO_CANCEL(2)

NAME
io_cancel - cancel an outstanding asynchronous I/O operation

SYNOPSIS
#include <libaio.h>

int io_cancel(aio_context_t ctx_id, struct iocb *iocb,
              struct io_event *result);

Link with -laio.

DESCRIPTION

io_cancel() attempts to cancel an asynchronous I/O operation previously submitted with io_submit(2). ctx_id is the AIO context ID of the operation to be canceled. If the AIO context is found, the event will be canceled and then copied into the memory pointed to by result without being placed into the completion queue.

RETURN VALUE

io_cancel() returns 0 on success; on failure, it returns one of the errors listed under ERRORS.

ERRORS

EINVAL
    The AIO context specified by ctx_id is invalid.

EFAULT
    One of the data structures points to invalid data.

EAGAIN
    The iocb specified was not canceled.

ENOSYS
    io_cancel() is not implemented on this architecture.

VERSIONS

The asynchronous I/O system calls first appeared in Linux 2.5, August 2002.

CONFORMING TO

io_cancel() is Linux-specific and should not be used in programs that are intended to be portable.

SEE ALSO

io_setup(2), io_destroy(2), io_getevents(2), io_submit(2)

COLOPHON
This page is part of release 2.76 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.